Subject: [DNSOP] I-D ACTION:draft-ietf-dnsop-edns-tcp-keepalive-04.txt

From: [email-masked]
Date: Wed, 21 Oct 2015 14:23:24 -0700

A new Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Domain Name System Operations Working Group of the IETF.

    Title         : The edns-tcp-keepalive EDNS0 Option
    Author(s)     : P. Wouters, et al
    Filename      : draft-ietf-dnsop-edns-tcp-keepalive
    Pages         : 13 
    Date          : 2015-10-21 
    
   DNS messages between clients and servers may be received over either
   UDP or TCP.  UDP transport involves keeping less state on a busy
   server, but can cause truncation and retries over TCP.  Additionally,
   UDP can be exploited for reflection attacks.  Using TCP would reduce
   retransmits and amplification.  However, clients commonly use TCP
   only for fallback and servers typically use idle timeouts on the
   order of seconds.

   This document defines an EDNS0 option (&quot;edns-tcp-keepalive&quot;) that
   allows DNS servers to signal a variable idle timeout.  This
   signalling facilitates a better balance of UDP and TCP transport
   between individual clients and servers, reducing the impact of
   problems associated with UDP transport and allowing the state
   associated with TCP transport to be managed effectively with minimal
   impact on the DNS transaction time.

A URL for this Internet-Draft is:
https://www.ietf.org/internet-drafts/draft-ietf-dnsop-edns-tcp-keepalive-04.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.